Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.167.56.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
0.167.56.0
Broadcast address
0.167.63.255
First usable
0.167.56.1
Last usable
0.167.63.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings
Old class
A (default /8)
As numbers
Hex 00A73800 · Integer 10958848 to 10960895
Reverse DNS zones
56.167.0.in-addr.arpa
57.167.0.in-addr.arpa
58.167.0.in-addr.arpa
59.167.0.in-addr.arpa
60.167.0.in-addr.arpa
61.167.0.in-addr.arpa
62.167.0.in-addr.arpa
63.167.0.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.10100111.00111000.000000000.167.56.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network00000000.10100111.00111000.000000000.167.56.0
Broadcast00000000.10100111.00111111.111111110.167.63.255
Split into smaller subnets/28

0.167.56.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.167.56.0/280.167.56.1 to 0.167.56.140.167.56.1514
20.167.56.16/280.167.56.17 to 0.167.56.300.167.56.3114
30.167.56.32/280.167.56.33 to 0.167.56.460.167.56.4714
40.167.56.48/280.167.56.49 to 0.167.56.620.167.56.6314
50.167.56.64/280.167.56.65 to 0.167.56.780.167.56.7914
60.167.56.80/280.167.56.81 to 0.167.56.940.167.56.9514
70.167.56.96/280.167.56.97 to 0.167.56.1100.167.56.11114
80.167.56.112/280.167.56.113 to 0.167.56.1260.167.56.12714
90.167.56.128/280.167.56.129 to 0.167.56.1420.167.56.14314
100.167.56.144/280.167.56.145 to 0.167.56.1580.167.56.15914
110.167.56.160/280.167.56.161 to 0.167.56.1740.167.56.17514
120.167.56.176/280.167.56.177 to 0.167.56.1900.167.56.19114
130.167.56.192/280.167.56.193 to 0.167.56.2060.167.56.20714
140.167.56.208/280.167.56.209 to 0.167.56.2220.167.56.22314
150.167.56.224/280.167.56.225 to 0.167.56.2380.167.56.23914
160.167.56.240/280.167.56.241 to 0.167.56.2540.167.56.25514
170.167.57.0/280.167.57.1 to 0.167.57.140.167.57.1514
180.167.57.16/280.167.57.17 to 0.167.57.300.167.57.3114
190.167.57.32/280.167.57.33 to 0.167.57.460.167.57.4714
200.167.57.48/280.167.57.49 to 0.167.57.620.167.57.6314
210.167.57.64/280.167.57.65 to 0.167.57.780.167.57.7914
220.167.57.80/280.167.57.81 to 0.167.57.940.167.57.9514
230.167.57.96/280.167.57.97 to 0.167.57.1100.167.57.11114
240.167.57.112/280.167.57.113 to 0.167.57.1260.167.57.12714
250.167.57.128/280.167.57.129 to 0.167.57.1420.167.57.14314
260.167.57.144/280.167.57.145 to 0.167.57.1580.167.57.15914
270.167.57.160/280.167.57.161 to 0.167.57.1740.167.57.17514
280.167.57.176/280.167.57.177 to 0.167.57.1900.167.57.19114
290.167.57.192/280.167.57.193 to 0.167.57.2060.167.57.20714
300.167.57.208/280.167.57.209 to 0.167.57.2220.167.57.22314
310.167.57.224/280.167.57.225 to 0.167.57.2380.167.57.23914
320.167.57.240/280.167.57.241 to 0.167.57.2540.167.57.25514
330.167.58.0/280.167.58.1 to 0.167.58.140.167.58.1514
340.167.58.16/280.167.58.17 to 0.167.58.300.167.58.3114
350.167.58.32/280.167.58.33 to 0.167.58.460.167.58.4714
360.167.58.48/280.167.58.49 to 0.167.58.620.167.58.6314
370.167.58.64/280.167.58.65 to 0.167.58.780.167.58.7914
380.167.58.80/280.167.58.81 to 0.167.58.940.167.58.9514
390.167.58.96/280.167.58.97 to 0.167.58.1100.167.58.11114
400.167.58.112/280.167.58.113 to 0.167.58.1260.167.58.12714
410.167.58.128/280.167.58.129 to 0.167.58.1420.167.58.14314
420.167.58.144/280.167.58.145 to 0.167.58.1580.167.58.15914
430.167.58.160/280.167.58.161 to 0.167.58.1740.167.58.17514
440.167.58.176/280.167.58.177 to 0.167.58.1900.167.58.19114
450.167.58.192/280.167.58.193 to 0.167.58.2060.167.58.20714
460.167.58.208/280.167.58.209 to 0.167.58.2220.167.58.22314
470.167.58.224/280.167.58.225 to 0.167.58.2380.167.58.23914
480.167.58.240/280.167.58.241 to 0.167.58.2540.167.58.25514
490.167.59.0/280.167.59.1 to 0.167.59.140.167.59.1514
500.167.59.16/280.167.59.17 to 0.167.59.300.167.59.3114
510.167.59.32/280.167.59.33 to 0.167.59.460.167.59.4714
520.167.59.48/280.167.59.49 to 0.167.59.620.167.59.6314
530.167.59.64/280.167.59.65 to 0.167.59.780.167.59.7914
540.167.59.80/280.167.59.81 to 0.167.59.940.167.59.9514
550.167.59.96/280.167.59.97 to 0.167.59.1100.167.59.11114
560.167.59.112/280.167.59.113 to 0.167.59.1260.167.59.12714
570.167.59.128/280.167.59.129 to 0.167.59.1420.167.59.14314
580.167.59.144/280.167.59.145 to 0.167.59.1580.167.59.15914
590.167.59.160/280.167.59.161 to 0.167.59.1740.167.59.17514
600.167.59.176/280.167.59.177 to 0.167.59.1900.167.59.19114
610.167.59.192/280.167.59.193 to 0.167.59.2060.167.59.20714
620.167.59.208/280.167.59.209 to 0.167.59.2220.167.59.22314
630.167.59.224/280.167.59.225 to 0.167.59.2380.167.59.23914
640.167.59.240/280.167.59.241 to 0.167.59.2540.167.59.25514
650.167.60.0/280.167.60.1 to 0.167.60.140.167.60.1514
660.167.60.16/280.167.60.17 to 0.167.60.300.167.60.3114
670.167.60.32/280.167.60.33 to 0.167.60.460.167.60.4714
680.167.60.48/280.167.60.49 to 0.167.60.620.167.60.6314
690.167.60.64/280.167.60.65 to 0.167.60.780.167.60.7914
700.167.60.80/280.167.60.81 to 0.167.60.940.167.60.9514
710.167.60.96/280.167.60.97 to 0.167.60.1100.167.60.11114
720.167.60.112/280.167.60.113 to 0.167.60.1260.167.60.12714
730.167.60.128/280.167.60.129 to 0.167.60.1420.167.60.14314
740.167.60.144/280.167.60.145 to 0.167.60.1580.167.60.15914
750.167.60.160/280.167.60.161 to 0.167.60.1740.167.60.17514
760.167.60.176/280.167.60.177 to 0.167.60.1900.167.60.19114
770.167.60.192/280.167.60.193 to 0.167.60.2060.167.60.20714
780.167.60.208/280.167.60.209 to 0.167.60.2220.167.60.22314
790.167.60.224/280.167.60.225 to 0.167.60.2380.167.60.23914
800.167.60.240/280.167.60.241 to 0.167.60.2540.167.60.25514
810.167.61.0/280.167.61.1 to 0.167.61.140.167.61.1514
820.167.61.16/280.167.61.17 to 0.167.61.300.167.61.3114
830.167.61.32/280.167.61.33 to 0.167.61.460.167.61.4714
840.167.61.48/280.167.61.49 to 0.167.61.620.167.61.6314
850.167.61.64/280.167.61.65 to 0.167.61.780.167.61.7914
860.167.61.80/280.167.61.81 to 0.167.61.940.167.61.9514
870.167.61.96/280.167.61.97 to 0.167.61.1100.167.61.11114
880.167.61.112/280.167.61.113 to 0.167.61.1260.167.61.12714
890.167.61.128/280.167.61.129 to 0.167.61.1420.167.61.14314
900.167.61.144/280.167.61.145 to 0.167.61.1580.167.61.15914
910.167.61.160/280.167.61.161 to 0.167.61.1740.167.61.17514
920.167.61.176/280.167.61.177 to 0.167.61.1900.167.61.19114
930.167.61.192/280.167.61.193 to 0.167.61.2060.167.61.20714
940.167.61.208/280.167.61.209 to 0.167.61.2220.167.61.22314
950.167.61.224/280.167.61.225 to 0.167.61.2380.167.61.23914
960.167.61.240/280.167.61.241 to 0.167.61.2540.167.61.25514
970.167.62.0/280.167.62.1 to 0.167.62.140.167.62.1514
980.167.62.16/280.167.62.17 to 0.167.62.300.167.62.3114
990.167.62.32/280.167.62.33 to 0.167.62.460.167.62.4714
1000.167.62.48/280.167.62.49 to 0.167.62.620.167.62.6314
1010.167.62.64/280.167.62.65 to 0.167.62.780.167.62.7914
1020.167.62.80/280.167.62.81 to 0.167.62.940.167.62.9514
1030.167.62.96/280.167.62.97 to 0.167.62.1100.167.62.11114
1040.167.62.112/280.167.62.113 to 0.167.62.1260.167.62.12714
1050.167.62.128/280.167.62.129 to 0.167.62.1420.167.62.14314
1060.167.62.144/280.167.62.145 to 0.167.62.1580.167.62.15914
1070.167.62.160/280.167.62.161 to 0.167.62.1740.167.62.17514
1080.167.62.176/280.167.62.177 to 0.167.62.1900.167.62.19114
1090.167.62.192/280.167.62.193 to 0.167.62.2060.167.62.20714
1100.167.62.208/280.167.62.209 to 0.167.62.2220.167.62.22314
1110.167.62.224/280.167.62.225 to 0.167.62.2380.167.62.23914
1120.167.62.240/280.167.62.241 to 0.167.62.2540.167.62.25514
1130.167.63.0/280.167.63.1 to 0.167.63.140.167.63.1514
1140.167.63.16/280.167.63.17 to 0.167.63.300.167.63.3114
1150.167.63.32/280.167.63.33 to 0.167.63.460.167.63.4714
1160.167.63.48/280.167.63.49 to 0.167.63.620.167.63.6314
1170.167.63.64/280.167.63.65 to 0.167.63.780.167.63.7914
1180.167.63.80/280.167.63.81 to 0.167.63.940.167.63.9514
1190.167.63.96/280.167.63.97 to 0.167.63.1100.167.63.11114
1200.167.63.112/280.167.63.113 to 0.167.63.1260.167.63.12714
1210.167.63.128/280.167.63.129 to 0.167.63.1420.167.63.14314
1220.167.63.144/280.167.63.145 to 0.167.63.1580.167.63.15914
1230.167.63.160/280.167.63.161 to 0.167.63.1740.167.63.17514
1240.167.63.176/280.167.63.177 to 0.167.63.1900.167.63.19114
1250.167.63.192/280.167.63.193 to 0.167.63.2060.167.63.20714
1260.167.63.208/280.167.63.209 to 0.167.63.2220.167.63.22314
1270.167.63.224/280.167.63.225 to 0.167.63.2380.167.63.23914
1280.167.63.240/280.167.63.241 to 0.167.63.2540.167.63.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses